/**
 * @file Ce fichier contient les tests des resolvers des groupes
 * @author ofacklam
*/

import { TestSet } from '../../testData';

export const tests: TestSet = {
    description: "Group type resolvers",
    tests: [
        {
            description: "group(gid) not authorized",
            query: `
                query {
                    group(gid: "br") {
                        gid
                    }
                }
            `,
            result: {
                "data": {
                    "group": null
                }
            }
        },

        {
            description: "simpleGroup(gid) not authorized",
            query: `
                query {
                    simpleGroup(gid: "br") {
                        gid
                    }
                }
            `,
            result: {
                "data": {
                    "simpleGroup": null
                }
            }
        },

        {
            description: "metaGroup(gid) not authorized",
            query: `
                query {
                    metaGroup(gid: "federez") {
                        gid
                    }
                }
            `,
            result: {
                "data": {
                    "metaGroup": null
                }
            }
        }
    ]
}

